#
# spec file for package python-magic (Version 5.04)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-magic
%define build_python_bindings 1
BuildRequires:  findutils zlib-devel
BuildRequires:  python-devel
Url:            http://www.darwinsys.com/file/
License:        BSD 3 Clause, BSD 4 Clause
Group:          Development/Languages/Python
AutoReqProv:    on
Version:        5.04
Release:        13.1
Summary:        Python module to use libmagic
%py_requires
Source99:       file.spec
%{expand:%(sed -n -e '/^Source:/,/^BuildRoot:/p' <%_sourcedir/file.spec)}
%global         _sysconfdir /etc
%global         _miscdir    %{_datadir}/misc

%description 
This package contains the python binding that require the magic "file"
interface.



Authors:
--------
    Mark Moraes <moraes@deshaw.com>
    Christos Zoulas <christos@deshaw.com>

%prep
%{expand:%(sed -n -e '/^%%prep/,/^%%install/p' <%_sourcedir/file.spec | sed -e '1d' -e '$d')}

%install
pushd python
python setup.py install --root=%{buildroot}	\
			--prefix=%{_prefix}	\
			--record-rpm=../python_files
popd

%files -f python_files
%defattr(-,root,root)
%doc python/README python/example.py

%changelog
* Tue Apr 15 2008 werner@suse.de
- Also change version number in python-magic.spec
* Mon Jan 28 2008 rguenther@suse.de
- Split off from file.
